/* ------------------------------------------------------------------------- */
/* board/corelatus_gth/board.h                                               */
/*                                                                           */
/* Board specific settings for GTH, based on FADS                            */
/* Adapted by Thomas Lange <thomas@corelatus.se>                             */
/*                                                                           */
/* Copyright (C) 2000, 2001 Magnus Damm <damm@opensource.se>                 */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __BOARD_H__
#define __BOARD_H__
/* Hardware setup
 */
#define CPU_XCLK_IN               16384000 /* 16 MHz clock in */
#define CPU_XFACT		       3        	
#define CPU_HZ	               (CPU_XCLK_IN * CPU_XFACT)

#define IMAGE_OFFSET 0x10000
#define ENTRY_OFFSET 0x100

#include "generic_board.h"

#endif /* __BOARD_H__ */
