/* ------------------------------------------------------------------------- */
/* board/motorola_fads/board.h                                               */
/*                                                                           */
/* Board specific settings for Motorola (F)ADS reference boards.             */
/*                                                                           */
/* Copyright (C) 2000, 2001 Magnus Damm <damm@opensource.se>                 */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __BOARD_H__
#define __BOARD_H__

/* Hardware setup
 */
#define MOT_FADS_XCLK_IN               4000000 /* 4 MHz in */
#define MOT_FADS_XFACT		       12        	
#define MOT_FADS_HZ	               (MOT_FADS_XCLK_IN * MOT_FADS_XFACT)

#include "generic_board.h"

#endif /* __BOARD_H__ */









