/* ------------------------------------------------------------------------- */
/* lib/types.h                                                               */
/*                                                                           */
/* Copyright (C) 2000, 2001 Magnus Damm <damm@opensource.se>                 */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __TYPES_H__
#define __TYPES_H__

typedef unsigned char uchar;
typedef unsigned short ushort;
typedef unsigned int uint;
typedef unsigned long ulong;

typedef uchar u_char;
typedef ushort u_short;
typedef uint u_int;

typedef uchar u8;
typedef ushort u16;
typedef uint u32;

typedef volatile u8 v_u8;
typedef volatile u16 v_u16;
typedef volatile u32 v_u32;


typedef u32 __kernel_size_t;
typedef u32 size_t;

#define NULL 0

#endif /* __TYPES_H__ */

