/* ------------------------------------------------------------------------- */
/* arch/ppc/mpc8xx/start.S                                                   */
/*                                                                           */
/* mpc8xx specific boot and lowlevel code                                    */
/*                                                                           */
/* Magnus Damm <damm@opensource.se>                                          */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __START_H__
#define __START_H__

#include "types.h"

void mpc8xx_image_start_now(unsigned int startaddr);
void mpc8xx_start(void);
void mpc8xx_icache_invalidate(void);

#endif /* __START_H__ */
